#include <sstream>
#include <iostream>
using namespace std;

class Point2D {
public:
  Point2D() : _x(0), _y(0) {}
  Point2D(double x, double y) : _x(x), _y(y) {}

  double getX() const {return _x;}
  double getY() const {return _y;}
  void setX(double x) {_x = x;}
  void setY(double y) {_y = y;}

private:
  double _x, _y;
};

std::ostream& operator<<(ostream& s, Point2D const& p){
  s << "Point2D[" << p.getX() << "," << p.getY() << "]";
  return s;
}

std::istream& operator>>(std::istream& is, Point2D& p) {
  p.setX(0); p.setY(0);

  is.ignore(8); // Point2D[ ignorieren

  double x;
  is >> x;
  p.setX(x);

  is.ignore(1); // , ignorieren

  double y;
  is >> y;
  p.setY(y);

  is.ignore(1); // ] ignorieren

  return is;
}

int main() {
  istringstream testData("Point2D[2.34,3.47]");

  Point2D p;

  testData >> p;

  cout << "Punkt: " << p << endl;
}
